slepc-3.21.1 2024-04-26
Report Typos and Errors

# STApplyHermitianTranspose

Applies the hermitian-transpose of the operator to a vector, for instance B^H(A - sB)^-H in the case of the shift-and-invert transformation and generalized eigenproblem.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STApplyHermitianTranspose(ST st,Vec x,Vec y)

Collective

### Input Parameters

| st | - the spectral transformation context
| x | - input vector

### Output Parameter

| y | - output vector

### Note

Currently implemented via STApplyTranspose() with appropriate conjugation.

### See Also

STApply(), STApplyTranspose()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages